


TEMPLATE = app
LANGUAGE = C++

QT += opengl

# Executable name
TARGET = "Deform Factors Demo"

# Input
HEADERS += \
    mainwindow.h \
    ioSMD.h \
    mesh.h \
    glarea.h \
    animation.h \
    animation_dqs.h \
    base_types.h \
    dual_quaternion.h
SOURCES +=  \
    glarea.cpp \
    mesh.cpp \
    ioSMD.cpp \
    mainwindow.cpp \
    main.cpp \
    animation.cpp \
    animation_dqs.cpp \
    dual_quaternion.cpp \
    base_types.cpp
FORMS += mainwindow.ui
OTHER_FILES += \
    shaders/common.fragment.glsl \
    shaders/differences.fragment.glsl \
    shaders/old_way_LBS.vertex.glsl \
    shaders/old_way_DQS.vertex.glsl \
    shaders/new_way_DQS.vertex.glsl \
    shaders/naive_way_LBS.vertex.glsl \
    shaders/new_way_LBS.vertex.glsl \
    shaders/no_skinning.vertex.glsl

INCLUDEPATH += "libs/glew/include"
INCLUDEPATH += "libs/vcglib"
INCLUDEPATH += "libs"
DEFINES += GLEW_STATIC
SOURCES += "libs/glew/src/glew.c"


# apparently, qt 5.0 on mac OS has problems with GLSL > 1.20 versions
# this flag activates an ugly set of hacks to use that version
mac: DEFINES += USE_GLSL_120
unix: DEFINES += USE_GLSL_120

# options to comment/uncomment:
#
# DEFINES += TRANSPARENT_SNAPSHOTS
# DEFINES += MORE_OPTIONS

